import { types as t } from '@babel/core';
/**
 * Given a list of props, returns just the internal style prop.
 *
 * @param props
 * @returns The internal `__styleProp__`. If it is not present, `undefined`.
 */
export declare const extractStyleProp: (props: (t.JSXAttribute | t.JSXSpreadAttribute)[]) => t.JSXAttribute | t.JSXSpreadAttribute | undefined;
export declare const extractStyleObjects: (styleProp: t.JSXAttribute) => {
    css: t.ObjectProperty;
    extensions: t.ObjectProperty;
    variants: t.ObjectProperty;
    base: t.ObjectProperty;
    hover: t.ObjectProperty;
    focus: t.ObjectProperty;
    active: t.ObjectProperty;
    scales: t.ObjectProperty;
};
export declare const normalizeStyle: (style: t.Expression) => {
    normalizedStyle: t.Expression;
    isNegative: boolean;
};
export declare const normalizeScale: (scale: t.ArrayExpression) => (t.ArrayExpression | t.AssignmentExpression | t.BinaryExpression | t.CallExpression | t.ConditionalExpression | t.FunctionExpression | t.Identifier | t.StringLiteral | t.NumericLiteral | t.NullLiteral | t.BooleanLiteral | t.RegExpLiteral | t.LogicalExpression | t.MemberExpression | t.NewExpression | t.ObjectExpression | t.SequenceExpression | t.ParenthesizedExpression | t.ThisExpression | t.UnaryExpression | t.UpdateExpression | t.ArrowFunctionExpression | t.ClassExpression | t.MetaProperty | t.Super | t.TaggedTemplateExpression | t.TemplateLiteral | t.YieldExpression | t.TypeCastExpression | t.JSXElement | t.JSXFragment | t.AwaitExpression | t.BindExpression | t.OptionalMemberExpression | t.PipelinePrimaryTopicReference | t.OptionalCallExpression | t.Import | t.DoExpression | t.BigIntLiteral | t.TSAsExpression | t.TSTypeAssertion | t.TSNonNullExpression | t.SpreadElement | null)[];
export declare const stripStyleProp: (props: (t.JSXAttribute | t.JSXSpreadAttribute)[]) => (t.JSXAttribute | t.JSXSpreadAttribute)[];
